std::geometric_distribution< _IntType >::param_type(3cxx)

NAME
std::geometric_distribution< _IntType >::param_type

SYNOPSIS

  Public Types

typedef geometric_distribution< _IntType > distribution_type

  Public Member Functions

param_type (double __p)
double p () const

  Friends

class geometric_distribution< _IntType >
bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

  template<typename _IntType = int>
struct std::geometric_distribution< _IntType >::param_type" Parameter type.

Author

Generated automatically by Doxygen for libstdc++ from the source code.